OnlyFans API
FanslyEarnings

List Wallet Transactions

Get the transaction ledger ("Wallet History" in the Fansly Creator Dashboard) — every earnings event with running balance and timestamps.

GET
/api/fansly/{fanslyAccount}/earnings/transactions
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Query Parameters

limit?string

Number of transactions to return (1 - 100). Default = 10

offset?string

Pagination offset. Default = 0

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/earnings/transactions?limit=10&offset=0"
{
  "data": {
    "total": 3,
    "data": [
      {
        "transactionId": "500000000000000001",
        "type": 2116,
        "destination": "wallet",
        "amount": 5000,
        "destinationTax": 1000,
        "newBalance": 105000,
        "createdAt": 1780444800000,
        "status": 1
      },
      {
        "transactionId": "500000000000000002",
        "type": 2116,
        "destination": "wallet",
        "amount": 10000,
        "destinationTax": 2000,
        "newBalance": 100000,
        "createdAt": 1780358400000,
        "status": 1
      }
    ]
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055768,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}